redmine displays "redMine 500 error" when I want to display all projects
Status: Closed Start date: 2009-01-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

We have a problem when we want to display all projects. Everything work correctly except this one.

My desktop environment :

Fedora 10

Firefox 3.0.5

redmine environment :

Centos 5.2

MySQL 5.1

glassfish 3 prelude

/opt/glassfishv3-prelude/glassfish/modules/jruby/bin/jruby about

JRuby limited openssl loaded. gem install jruby-openssl for full support.

http://wiki.jruby.org/wiki/JRuby_Builtin_OpenSSL

About your application's environment

Ruby version              1.8.6 (java)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /opt/redmine-0.8.0

Environment               development

Database adapter          jdbcmysql

Database schema version   101

production.log :

ActionView::TemplateError (undefined method `project_status_options_for_select' for #<ActionView::

Base:0xc77e26>) on line #10 of admin/projects.rhtml:

7: <% form_tag({}, :method => :get) do %>

8: <fieldset><legend><%= l(:label_filter_plural) %></legend>

9: <label><%= l(:field_status) %> :</label>

10: <%= select_tag 'status', project_status_options_for_select(@status), :class => "small", :oncha

nge => "this.form.submit(); return false;"  %>

11: <label><%= l(:label_project) %>:</label>

12: <%= text_field_tag 'name', params[:name], :size => 30 %>

13: <%= submit_tag l(:button_apply), :class => "small", :name => nil %>

    app/views/admin/projects.rhtml:10:in `_run_erb_47app47views47admin47projects46rhtml'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:141:in `call'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:141:in `capture_erb_with_buf

fer'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:44:in `capture'

    vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:443:in `form_tag_in_block'

History
http://wiki.jruby.org/wiki/JRuby_Builtin_OpenSSL


#1 - 2009-01-27 18:49 - Jean-Philippe Lang

Don't have a clue on this.

The method #project_status_options_for_select is properly defined in AdminHelper and thus automatically available to the view.

Did you make any change to the app?

#2 - 2009-01-27 20:56 - ccc ccc

Yes, I changed a file request.rb because I wanted to use redmine with https but without apache modproxy.

But it wasn't a source of problems. Probably we had some problem with filesystem because when I reinstalled redmine everything is ok. So you can

close this ticket.

#3 - 2009-01-29 17:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.8.0)

- Resolution set to Invalid

Thanks for the feedback.
